locked
Authenticate crm online with 2007 services and office 365?? RRS feed

  • Question

  • Hi,

    I have an old integration based on the 2007 web services. The solution runs with customer installations of crm 4.0, crm 2011 and crm online. I have never had problems with authentication before, but now I have problem with a customer that seems to run office 365. The authentication fails with "IssueTicket: Authentication Failure. The entered and stored passwords do not match". 

    Do I have to upgrade the whole solution to use new web services or can I fix this in any other way? Can the customer create a crm user that will work with my solution? Can I add/change the online authentication In my integration but still use the old web services?

    Greatful for any help!!

    Monday, August 19, 2013 8:17 AM

Answers

  • Hi,
    2007 endpoints are not available in CRM Online organizations with Office 365 authentication (CRM Online with Live Id authentication still support it).
    You need to upgrade your integration with 2011 endpoints to make it working with new CRM Online instances.


    My blog: www.crmanswers.net

    • Proposed as answer by Guido PreiteMVP Monday, August 19, 2013 8:25 AM
    • Marked as answer by R M A C Monday, August 19, 2013 1:56 PM
    Monday, August 19, 2013 8:25 AM

All replies

  • Hi,
    2007 endpoints are not available in CRM Online organizations with Office 365 authentication (CRM Online with Live Id authentication still support it).
    You need to upgrade your integration with 2011 endpoints to make it working with new CRM Online instances.


    My blog: www.crmanswers.net

    • Proposed as answer by Guido PreiteMVP Monday, August 19, 2013 8:25 AM
    • Marked as answer by R M A C Monday, August 19, 2013 1:56 PM
    Monday, August 19, 2013 8:25 AM
  • Thanks!

    This is what I have read and was afraid for.

    You don't happen to know why the endpoints don't exist in these installations? What difference would it make?!

    I think I read that the old services would be backward compatible at least 2 versions. Maybe the online versions does'nt count...


    Monday, August 19, 2013 8:39 AM